CSETOBJS= koi8r.o jis0212.o jis0208.o jis0201.o sjis.o big5.o iso01.o iso02.o iso03.o iso04.o iso05.o iso06.o iso07.o iso08.o iso09.o iso10.o iso13.o iso14.o iso15.o cp437.o cp737.o cp775.o cp850.o cp852.o cp855.o cp857.o cp860.o cp861.o cp862.o cp863.o cp864.o cp865.o cp866.o cp869.o cp874.o cp1250.o cp1252.o cp1254.o cp1256.o cp1258.o cp1251.o cp1253.o cp1255.o cp1257.o cp856.o cp1006.o cp424.o roman.o
koi8r.o: koi8r.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
koi8r.cc koi8r.h: table2h VENDORS/MISC/KOI8-R.TXT
	tr '\015' '\012' <VENDORS/MISC/KOI8-R.TXT >koi8r.tmp && ./table2h koi8r koi8r uni <koi8r.tmp >koi8r.h && rm -f koi8r.tmp
jis0212.o: jis0212.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
jis0212.cc jis0212.h: table2h EASTASIA/JIS/JIS0212.TXT
	tr '\015' '\012' <EASTASIA/JIS/JIS0212.TXT >jis0212.tmp && ./table2h jis0212 jis212 uni <jis0212.tmp >jis0212.h && rm -f jis0212.tmp
jis0208.o: jis0208.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
jis0208.cc jis0208.h: table2h EASTASIA/JIS/JIS0208.TXT
	tr '\015' '\012' <EASTASIA/JIS/JIS0208.TXT >jis0208.tmp && ./table2h jis0208 sjis jis208 uni <jis0208.tmp >jis0208.h && rm -f jis0208.tmp
jis0201.o: jis0201.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
jis0201.cc jis0201.h: table2h EASTASIA/JIS/JIS0201.TXT
	tr '\015' '\012' <EASTASIA/JIS/JIS0201.TXT >jis0201.tmp && ./table2h jis0201 jis201 uni <jis0201.tmp >jis0201.h && rm -f jis0201.tmp
sjis.o: sjis.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
sjis.cc sjis.h: table2h EASTASIA/JIS/SHIFTJIS.TXT
	tr '\015' '\012' <EASTASIA/JIS/SHIFTJIS.TXT >sjis.tmp && ./table2h sjis sjis uni <sjis.tmp >sjis.h && rm -f sjis.tmp
big5.o: big5.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
big5.cc big5.h: table2h EASTASIA/OTHER/BIG5.TXT
	tr '\015' '\012' <EASTASIA/OTHER/BIG5.TXT >big5.tmp && ./table2h big5 big5 uni <big5.tmp >big5.h && rm -f big5.tmp
iso01.o: iso01.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso01.cc iso01.h: table2h ISO8859/8859-1.TXT
	tr '\015' '\012' <ISO8859/8859-1.TXT >iso01.tmp && ./table2h iso01 iso01 uni <iso01.tmp >iso01.h && rm -f iso01.tmp
iso02.o: iso02.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso02.cc iso02.h: table2h ISO8859/8859-2.TXT
	tr '\015' '\012' <ISO8859/8859-2.TXT >iso02.tmp && ./table2h iso02 iso02 uni <iso02.tmp >iso02.h && rm -f iso02.tmp
iso03.o: iso03.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso03.cc iso03.h: table2h ISO8859/8859-3.TXT
	tr '\015' '\012' <ISO8859/8859-3.TXT >iso03.tmp && ./table2h iso03 iso03 uni <iso03.tmp >iso03.h && rm -f iso03.tmp
iso04.o: iso04.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso04.cc iso04.h: table2h ISO8859/8859-4.TXT
	tr '\015' '\012' <ISO8859/8859-4.TXT >iso04.tmp && ./table2h iso04 iso04 uni <iso04.tmp >iso04.h && rm -f iso04.tmp
iso05.o: iso05.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso05.cc iso05.h: table2h ISO8859/8859-5.TXT
	tr '\015' '\012' <ISO8859/8859-5.TXT >iso05.tmp && ./table2h iso05 iso05 uni <iso05.tmp >iso05.h && rm -f iso05.tmp
iso06.o: iso06.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso06.cc iso06.h: table2h ISO8859/8859-6.TXT
	tr '\015' '\012' <ISO8859/8859-6.TXT >iso06.tmp && ./table2h iso06 iso06 uni <iso06.tmp >iso06.h && rm -f iso06.tmp
iso07.o: iso07.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso07.cc iso07.h: table2h ISO8859/8859-7.TXT
	tr '\015' '\012' <ISO8859/8859-7.TXT >iso07.tmp && ./table2h iso07 iso07 uni <iso07.tmp >iso07.h && rm -f iso07.tmp
iso08.o: iso08.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso08.cc iso08.h: table2h ISO8859/8859-8.TXT
	tr '\015' '\012' <ISO8859/8859-8.TXT >iso08.tmp && ./table2h iso08 iso08 uni <iso08.tmp >iso08.h && rm -f iso08.tmp
iso09.o: iso09.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso09.cc iso09.h: table2h ISO8859/8859-9.TXT
	tr '\015' '\012' <ISO8859/8859-9.TXT >iso09.tmp && ./table2h iso09 iso09 uni <iso09.tmp >iso09.h && rm -f iso09.tmp
iso10.o: iso10.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso10.cc iso10.h: table2h ISO8859/8859-10.TXT
	tr '\015' '\012' <ISO8859/8859-10.TXT >iso10.tmp && ./table2h iso10 iso10 uni <iso10.tmp >iso10.h && rm -f iso10.tmp
iso13.o: iso13.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso13.cc iso13.h: table2h ISO8859/8859-13.TXT
	tr '\015' '\012' <ISO8859/8859-13.TXT >iso13.tmp && ./table2h iso13 iso13 uni <iso13.tmp >iso13.h && rm -f iso13.tmp
iso14.o: iso14.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso14.cc iso14.h: table2h ISO8859/8859-14.TXT
	tr '\015' '\012' <ISO8859/8859-14.TXT >iso14.tmp && ./table2h iso14 iso14 uni <iso14.tmp >iso14.h && rm -f iso14.tmp
iso15.o: iso15.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
iso15.cc iso15.h: table2h ISO8859/8859-15.TXT
	tr '\015' '\012' <ISO8859/8859-15.TXT >iso15.tmp && ./table2h iso15 iso15 uni <iso15.tmp >iso15.h && rm -f iso15.tmp
cp437.o: cp437.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp437.cc cp437.h: table2h VENDORS/MICSFT/PC/CP437.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP437.TXT >cp437.tmp && ./table2h cp437 cp437 uni <cp437.tmp >cp437.h && rm -f cp437.tmp
cp737.o: cp737.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp737.cc cp737.h: table2h VENDORS/MICSFT/PC/CP737.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP737.TXT >cp737.tmp && ./table2h cp737 cp737 uni <cp737.tmp >cp737.h && rm -f cp737.tmp
cp775.o: cp775.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp775.cc cp775.h: table2h VENDORS/MICSFT/PC/CP775.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP775.TXT >cp775.tmp && ./table2h cp775 cp775 uni <cp775.tmp >cp775.h && rm -f cp775.tmp
cp850.o: cp850.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp850.cc cp850.h: table2h VENDORS/MICSFT/PC/CP850.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP850.TXT >cp850.tmp && ./table2h cp850 cp850 uni <cp850.tmp >cp850.h && rm -f cp850.tmp
cp852.o: cp852.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp852.cc cp852.h: table2h VENDORS/MICSFT/PC/CP852.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP852.TXT >cp852.tmp && ./table2h cp852 cp852 uni <cp852.tmp >cp852.h && rm -f cp852.tmp
cp855.o: cp855.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp855.cc cp855.h: table2h VENDORS/MICSFT/PC/CP855.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP855.TXT >cp855.tmp && ./table2h cp855 cp855 uni <cp855.tmp >cp855.h && rm -f cp855.tmp
cp857.o: cp857.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp857.cc cp857.h: table2h VENDORS/MICSFT/PC/CP857.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP857.TXT >cp857.tmp && ./table2h cp857 cp857 uni <cp857.tmp >cp857.h && rm -f cp857.tmp
cp860.o: cp860.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp860.cc cp860.h: table2h VENDORS/MICSFT/PC/CP860.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP860.TXT >cp860.tmp && ./table2h cp860 cp860 uni <cp860.tmp >cp860.h && rm -f cp860.tmp
cp861.o: cp861.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp861.cc cp861.h: table2h VENDORS/MICSFT/PC/CP861.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP861.TXT >cp861.tmp && ./table2h cp861 cp861 uni <cp861.tmp >cp861.h && rm -f cp861.tmp
cp862.o: cp862.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp862.cc cp862.h: table2h VENDORS/MICSFT/PC/CP862.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP862.TXT >cp862.tmp && ./table2h cp862 cp862 uni <cp862.tmp >cp862.h && rm -f cp862.tmp
cp863.o: cp863.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp863.cc cp863.h: table2h VENDORS/MICSFT/PC/CP863.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP863.TXT >cp863.tmp && ./table2h cp863 cp863 uni <cp863.tmp >cp863.h && rm -f cp863.tmp
cp864.o: cp864.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp864.cc cp864.h: table2h VENDORS/MICSFT/PC/CP864.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP864.TXT >cp864.tmp && ./table2h cp864 cp864 uni <cp864.tmp >cp864.h && rm -f cp864.tmp
cp865.o: cp865.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp865.cc cp865.h: table2h VENDORS/MICSFT/PC/CP865.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP865.TXT >cp865.tmp && ./table2h cp865 cp865 uni <cp865.tmp >cp865.h && rm -f cp865.tmp
cp866.o: cp866.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp866.cc cp866.h: table2h VENDORS/MICSFT/PC/CP866.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP866.TXT >cp866.tmp && ./table2h cp866 cp866 uni <cp866.tmp >cp866.h && rm -f cp866.tmp
cp869.o: cp869.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp869.cc cp869.h: table2h VENDORS/MICSFT/PC/CP869.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP869.TXT >cp869.tmp && ./table2h cp869 cp869 uni <cp869.tmp >cp869.h && rm -f cp869.tmp
cp874.o: cp874.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp874.cc cp874.h: table2h VENDORS/MICSFT/PC/CP874.TXT
	tr '\015' '\012' <VENDORS/MICSFT/PC/CP874.TXT >cp874.tmp && ./table2h cp874 cp874 uni <cp874.tmp >cp874.h && rm -f cp874.tmp
cp1250.o: cp1250.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1250.cc cp1250.h: table2h VENDORS/MICSFT/WINDOWS/CP1250.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1250.TXT >cp1250.tmp && ./table2h cp1250 cp1250 uni <cp1250.tmp >cp1250.h && rm -f cp1250.tmp
cp1252.o: cp1252.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1252.cc cp1252.h: table2h VENDORS/MICSFT/WINDOWS/CP1252.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1252.TXT >cp1252.tmp && ./table2h cp1252 cp1252 uni <cp1252.tmp >cp1252.h && rm -f cp1252.tmp
cp1254.o: cp1254.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1254.cc cp1254.h: table2h VENDORS/MICSFT/WINDOWS/CP1254.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1254.TXT >cp1254.tmp && ./table2h cp1254 cp1254 uni <cp1254.tmp >cp1254.h && rm -f cp1254.tmp
cp1256.o: cp1256.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1256.cc cp1256.h: table2h VENDORS/MICSFT/WINDOWS/CP1256.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1256.TXT >cp1256.tmp && ./table2h cp1256 cp1256 uni <cp1256.tmp >cp1256.h && rm -f cp1256.tmp
cp1258.o: cp1258.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1258.cc cp1258.h: table2h VENDORS/MICSFT/WINDOWS/CP1258.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1258.TXT >cp1258.tmp && ./table2h cp1258 cp1258 uni <cp1258.tmp >cp1258.h && rm -f cp1258.tmp
cp1251.o: cp1251.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1251.cc cp1251.h: table2h VENDORS/MICSFT/WINDOWS/CP1251.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1251.TXT >cp1251.tmp && ./table2h cp1251 cp1251 uni <cp1251.tmp >cp1251.h && rm -f cp1251.tmp
cp1253.o: cp1253.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1253.cc cp1253.h: table2h VENDORS/MICSFT/WINDOWS/CP1253.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1253.TXT >cp1253.tmp && ./table2h cp1253 cp1253 uni <cp1253.tmp >cp1253.h && rm -f cp1253.tmp
cp1255.o: cp1255.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1255.cc cp1255.h: table2h VENDORS/MICSFT/WINDOWS/CP1255.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1255.TXT >cp1255.tmp && ./table2h cp1255 cp1255 uni <cp1255.tmp >cp1255.h && rm -f cp1255.tmp
cp1257.o: cp1257.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1257.cc cp1257.h: table2h VENDORS/MICSFT/WINDOWS/CP1257.TXT
	tr '\015' '\012' <VENDORS/MICSFT/WINDOWS/CP1257.TXT >cp1257.tmp && ./table2h cp1257 cp1257 uni <cp1257.tmp >cp1257.h && rm -f cp1257.tmp
cp856.o: cp856.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp856.cc cp856.h: table2h VENDORS/MISC/CP856.TXT
	tr '\015' '\012' <VENDORS/MISC/CP856.TXT >cp856.tmp && ./table2h cp856 cp856 uni <cp856.tmp >cp856.h && rm -f cp856.tmp
cp1006.o: cp1006.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp1006.cc cp1006.h: table2h VENDORS/MISC/CP1006.TXT
	tr '\015' '\012' <VENDORS/MISC/CP1006.TXT >cp1006.tmp && ./table2h cp1006 cp1006 uni <cp1006.tmp >cp1006.h && rm -f cp1006.tmp
cp424.o: cp424.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
cp424.cc cp424.h: table2h VENDORS/MISC/CP424.TXT
	tr '\015' '\012' <VENDORS/MISC/CP424.TXT >cp424.tmp && ./table2h cp424 cp424 uni <cp424.tmp >cp424.h && rm -f cp424.tmp
roman.o: roman.cc
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
roman.cc roman.h: table2h VENDORS/APPLE/ROMAN.TXT
	tr '\015' '\012' <VENDORS/APPLE/ROMAN.TXT >roman.tmp && ./table2h roman roman uni <roman.tmp >roman.h && rm -f roman.tmp
